{
    "version": 2,
    "name": "Flsun V400",
    "inherits": "fdmprinter",
    "metadata":
    {
        "visible": true,
        "author": "FLSUN, Guislain Cyril, Frank Zechert",
        "manufacturer": "Flsun",
        "file_formats": "text/x-gcode",
        "platform": "flsun_v400.stl",
        "has_machine_quality": true,
        "has_materials": true,
        "machine_extruder_trains": { "0": "flsun_v400_extruder_0" },
        "platform_offset": [
            0,
            -40.6455,
            -43.5
        ]
    },
    "overrides":
    {
        "gantry_height": { "value": "0" },
        "infill_sparse_density": { "default_value": 15 },
        "machine_center_is_zero": { "default_value": true },
        "machine_depth": { "default_value": 300 },
        "machine_end_gcode": { "default_value": "END_PRINT\n" },
        "machine_head_with_fans_polygon":
        {
            "default_value": [
                [0, 0],
                [0, 0],
                [0, 0],
                [0, 0]
            ]
        },
        "machine_heated_bed": { "default_value": true },
        "machine_height": { "default_value": 410 },
        "machine_shape": { "default_value": "elliptic" },
        "machine_start_gcode": { "default_value": ";Nozzle diameter = {machine_nozzle_size}\n;Filament type = {material_type}\n;Filament name = {material_brand} {material_name}\n;Filament weight = {filament_weight}\n;M109 S{material_print_temperature}\n;M190 S{material_bed_temperature}\n\nSTART_PRINT BED_TEMP={material_bed_temperature_layer_0} EXTRUDER_TEMP={material_print_temperature_layer_0}\n" },
        "machine_width": { "default_value": 300 },
        "material_diameter": { "default_value": 1.75 },
        "z_seam_type": { "value": "'sharpest_corner'" }
    }
}
